<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
</head>
<body>
    <script>
        'use strict'
        function Calculator () {
            this.read = function() {
                this.firstNumber = +prompt ("first number ?", 0);
                this.secondNumber = +prompt ("second number ?", 0);
            };

            this.sum = function() {
                return this.firstNumber + this.secondNumber;
            };

            this.mul = function() {
                return this.firstNumber * this.secondNumber;
            }
        }
        let calculator = new Calculator();

        calculator.read();
        alert( "sum=" + calculator.sum() );
        alert( "mul=" + calculator.mul() );

    </script>
</body>
</html>